%define	module	CGI-Minimal
%define name	perl-%{module}
%define version 1.25
%define release %mkrel 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Extremely lightweight CGI processing package
License:	GPL
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{module}
Source:		http://www.cpan.org/modules/by-module/CGI/%{module}-%{version}.tar.bz2
%if %{mdkversion} < 1010
BuildRequires:	perl-devel
%endif
BuildArch:	noarch
Buildroot:	%{_tmppath}/%{name}-%{version}

%description
CGI-Minimal is an extremely lightweight Perl module that provides CGI
processing abilities designed to provide form decoding and related services
with low overhead.


%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std
rm -f %{buildroot}%{perl_archlib}/perllocal.pod

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/CGI
%{_mandir}/man3/*



%changelog
* Fri Oct 27 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1.25-1mdv2007.0
+ Revision: 73391
- import perl-CGI-Minimal-1.25-1mdv2007.0


* Tue May 30 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.25-1mdv2007.0
- New release 1.25

* Thu Apr 27 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.24-2mdk
- Fix SPEC Using perl Policies
	- Source URL
- use mkrel

* Mon Sep 26 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.24-1mdk
- New release 1.24

* Wed Sep 21 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.23-1mdk
- New release 1.23
- spec cleanup
- don't ship manifest
- fix directory ownership
- better url

* Tue Nov 16 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.16-1mdk
- 1.16

* Tue May 11 2004 Michael Scherer <misc@mandrake.org> 1.11-1mdk
- New release 1.11
- rpmbuildupdate aware

* Sat Aug 02 2003 Ben Reser <ben@reser.org> 1.10-5mdk
- Use %makeinstall_std now that it works on klama

* Sat Aug 02 2003 Ben Reser <ben@reser.org> 1.10-4mdk
- Use %%make and %%makeinstall

* Fri Aug 01 2003 Ben Reser <ben@reser.org> 1.10-3mdk
- Macroification
- Fix man path
- rm buildroot in %%install not %prep
- Quiet %%setup
- Fix unpackaged perllocal.pod
- Should be noarch

